Bug 159625 - Imported FC2 Mozilla Mail causes consistent segfaults
Imported FC2 Mozilla Mail causes consistent segfaults
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-06 04:40 EDT by Jeff Garzik
Modified: 2013-07-02 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 11:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2005-06-06 04:40:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am a heavy user of FC2-era Mozilla Mail.

When I upgraded to FC4, and ran Thunderbird for the first time, it offered to import my Mozilla Mail configuration/settings/folders for me.  I accepted.  After a short period of time, Thunderbird segfaulted.  Thereafter, each invocation of Thunderbird would result in an immediate segfault.

I removed ~/.thunderbird, configured email manually rather than importing, and am now happily using Thunderbird with all my old email mboxes intact.

Version-Release number of selected component (if applicable):
thunderbird-1.0.2-6

How reproducible:
Always

Steps to Reproduce:
1. Setup POP and IMAP accounts, in FC2 Mozilla Mail.
2. Setup Local Folders account, in FC2 mozmail.
3. Point Local Folders to non-standard directory (/garz/nsmail in my case).
4. Populate Local Folders with Berkley mboxes, including sub-folders (i.e. Foo.sbd subdirectories containing mboxes)
5. Make sure IMAP account works.
6. Make sure POP account works, and (due to Mail Filters) sends downloaded mail to Local Folders folders.
7. Install FC4 (-not- upgrade).
8. Run Thunderbird, opting to import Mozilla Mail data.


Actual Results:  segfault


Expected Results:  working email


Additional info:
Comment 1 Matěj Cepl 2007-04-06 11:36:36 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.